For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notification

Notifications

Notification Search

get

Search this users Notifications

Query parameters
notificationIdintegerOptional

Filter by Notification Id

subjectstringOptional

Filter by Subject

embedstringOptional

Embed related data such as userGroups,displayGroups

sortBystring · enumOptional

Column to sort by. Used together with sortDir.

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/notification
GET /api/notification HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "notificationId": 1,
    "createDt": 1,
    "releaseDt": 1,
    "subject": "text",
    "type": "text",
    "body": "text",
    "isInterrupt": 1,
    "isSystem": 1,
    "userId": 1,
    "filename": "text",
    "originalFileName": "text",
    "nonusers": "text",
    "userGroups": [
      {
        "groupId": 1,
        "group": "text",
        "isUserSpecific": 1,
        "isEveryone": 1,
        "description": "text",
        "libraryQuota": 1,
        "isSystemNotification": 1,
        "isDisplayNotification": 1,
        "isDataSetNotification": 1,
        "isLayoutNotification": 1,
        "isLibraryNotification": 1,
        "isReportNotification": 1,
        "isScheduleNotification": 1,
        "isCustomNotification": 1,
        "isShownForAddUser": 1,
        "defaultHomepageId": "text",
        "features": [
          "text"
        ]
      }
    ],
    "displayGroups": [
      {
        "displayGroupId": 1,
        "displayGroup": "text",
        "description": "text",
        "isDisplaySpecific": 1,
        "isDynamic": 1,
        "dynamicCriteria": "text",
        "dynamicCriteriaLogicalOperator": "text",
        "dynamicCriteriaTags": "text",
        "dynamicCriteriaExactTags": 1,
        "dynamicCriteriaTagsLogicalOperator": "text",
        "userId": 1,
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "bandwidthLimit": 1,
        "groupsWithPermissions": "text",
        "createdDt": "text",
        "modifiedDt": "text",
        "folderId": 1,
        "permissionsFolderId": 1,
        "ref1": "text",
        "ref2": "text",
        "ref3": "text",
        "ref4": "text",
        "ref5": "text"
      }
    ],
    "canEdit": true,
    "canDelete": true
  }
]

Notification Add

post

Add a Notification

Body
subjectstringRequired

The Subject

bodystringOptional

The Body

releaseDtstringOptional

ISO date representing the release date for this notification

isInterruptintegerRequired

Flag indication whether this notification should interrupt the web portal nativation/login

displayGroupIdsinteger[]Required

The display group ids to assign this notification to

userGroupIdsinteger[]Required

The user group ids to assign to this notification

Responses
201

successful operation

application/json
post/notification
POST /api/notification HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 108

"subject='text'&body='text'&releaseDt='text'&isInterrupt=1&displayGroupIds=[1]&userGroupIds=[1]"
201

successful operation

{
  "notificationId": 1,
  "createDt": 1,
  "releaseDt": 1,
  "subject": "text",
  "type": "text",
  "body": "text",
  "isInterrupt": 1,
  "isSystem": 1,
  "userId": 1,
  "filename": "text",
  "originalFileName": "text",
  "nonusers": "text",
  "userGroups": [
    {
      "groupId": 1,
      "group": "text",
      "isUserSpecific": 1,
      "isEveryone": 1,
      "description": "text",
      "libraryQuota": 1,
      "isSystemNotification": 1,
      "isDisplayNotification": 1,
      "isDataSetNotification": 1,
      "isLayoutNotification": 1,
      "isLibraryNotification": 1,
      "isReportNotification": 1,
      "isScheduleNotification": 1,
      "isCustomNotification": 1,
      "isShownForAddUser": 1,
      "defaultHomepageId": "text",
      "features": [
        "text"
      ]
    }
  ],
  "displayGroups": [
    {
      "displayGroupId": 1,
      "displayGroup": "text",
      "description": "text",
      "isDisplaySpecific": 1,
      "isDynamic": 1,
      "dynamicCriteria": "text",
      "dynamicCriteriaLogicalOperator": "text",
      "dynamicCriteriaTags": "text",
      "dynamicCriteriaExactTags": 1,
      "dynamicCriteriaTagsLogicalOperator": "text",
      "userId": 1,
      "tags": [
        {
          "tag": "text",
          "tagId": 1,
          "value": "text"
        }
      ],
      "bandwidthLimit": 1,
      "groupsWithPermissions": "text",
      "createdDt": "text",
      "modifiedDt": "text",
      "folderId": 1,
      "permissionsFolderId": 1,
      "ref1": "text",
      "ref2": "text",
      "ref3": "text",
      "ref4": "text",
      "ref5": "text"
    }
  ],
  "canEdit": true,
  "canDelete": true
}

Notification Get By ID

get

Get a single Notification by ID

Path parameters
notificationIdintegerRequired

The Notification ID

Responses
200

successful operation

application/json

Class Notification

notificationIdintegerOptional

The Notifcation ID

createDtintegerOptional

Create Date as Unix Timestamp

releaseDtintegerOptional

Release Date as Unix Timestamp

subjectstringOptional

The subject line

typestringOptional

The Notification type

bodystringOptional

The HTML body of the notification

isInterruptintegerOptional

Should the notification interrupt the CMS UI on navigate/login

isSystemintegerOptional

Flag for system notification

userIdintegerOptional

The Owner User Id

filenamestringOptional

Attachment filename

originalFileNamestringOptional

Attachment originalFileName

nonusersstringOptional

Additional email addresses to which a saved report will be sent

canEditbooleanOptional

Flag indicating whether the current user can edit this notification

canDeletebooleanOptional

Flag indicating whether the current user can delete this notification

get/notification/{notificationId}
GET /api/notification/{notificationId} HTTP/1.1
Accept: */*
200

successful operation

{
  "notificationId": 1,
  "createDt": 1,
  "releaseDt": 1,
  "subject": "text",
  "type": "text",
  "body": "text",
  "isInterrupt": 1,
  "isSystem": 1,
  "userId": 1,
  "filename": "text",
  "originalFileName": "text",
  "nonusers": "text",
  "userGroups": [
    {
      "groupId": 1,
      "group": "text",
      "isUserSpecific": 1,
      "isEveryone": 1,
      "description": "text",
      "libraryQuota": 1,
      "isSystemNotification": 1,
      "isDisplayNotification": 1,
      "isDataSetNotification": 1,
      "isLayoutNotification": 1,
      "isLibraryNotification": 1,
      "isReportNotification": 1,
      "isScheduleNotification": 1,
      "isCustomNotification": 1,
      "isShownForAddUser": 1,
      "defaultHomepageId": "text",
      "features": [
        "text"
      ]
    }
  ],
  "displayGroups": [
    {
      "displayGroupId": 1,
      "displayGroup": "text",
      "description": "text",
      "isDisplaySpecific": 1,
      "isDynamic": 1,
      "dynamicCriteria": "text",
      "dynamicCriteriaLogicalOperator": "text",
      "dynamicCriteriaTags": "text",
      "dynamicCriteriaExactTags": 1,
      "dynamicCriteriaTagsLogicalOperator": "text",
      "userId": 1,
      "tags": [
        {
          "tag": "text",
          "tagId": 1,
          "value": "text"
        }
      ],
      "bandwidthLimit": 1,
      "groupsWithPermissions": "text",
      "createdDt": "text",
      "modifiedDt": "text",
      "folderId": 1,
      "permissionsFolderId": 1,
      "ref1": "text",
      "ref2": "text",
      "ref3": "text",
      "ref4": "text",
      "ref5": "text"
    }
  ],
  "canEdit": true,
  "canDelete": true
}

Notification Edit

put

Edit a Notification

Path parameters
notificationIdintegerRequired

The NotificationId

Body
subjectstringRequired

The Subject

bodystringOptional

The Body

releaseDtstringRequired

ISO date representing the release date for this notification

isInterruptintegerRequired

Flag indication whether this notification should interrupt the web portal nativation/login

displayGroupIdsinteger[]Required

The display group ids to assign this notification to

userGroupIdsinteger[]Required

The user group ids to assign to this notification

Responses
200

successful operation

application/json

Class Notification

notificationIdintegerOptional

The Notifcation ID

createDtintegerOptional

Create Date as Unix Timestamp

releaseDtintegerOptional

Release Date as Unix Timestamp

subjectstringOptional

The subject line

typestringOptional

The Notification type

bodystringOptional

The HTML body of the notification

isInterruptintegerOptional

Should the notification interrupt the CMS UI on navigate/login

isSystemintegerOptional

Flag for system notification

userIdintegerOptional

The Owner User Id

filenamestringOptional

Attachment filename

originalFileNamestringOptional

Attachment originalFileName

nonusersstringOptional

Additional email addresses to which a saved report will be sent

canEditbooleanOptional

Flag indicating whether the current user can edit this notification

canDeletebooleanOptional

Flag indicating whether the current user can delete this notification

put/notification/{notificationId}
PUT /api/notification/{notificationId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 108

"subject='text'&body='text'&releaseDt='text'&isInterrupt=1&displayGroupIds=[1]&userGroupIds=[1]"
200

successful operation

{
  "notificationId": 1,
  "createDt": 1,
  "releaseDt": 1,
  "subject": "text",
  "type": "text",
  "body": "text",
  "isInterrupt": 1,
  "isSystem": 1,
  "userId": 1,
  "filename": "text",
  "originalFileName": "text",
  "nonusers": "text",
  "userGroups": [
    {
      "groupId": 1,
      "group": "text",
      "isUserSpecific": 1,
      "isEveryone": 1,
      "description": "text",
      "libraryQuota": 1,
      "isSystemNotification": 1,
      "isDisplayNotification": 1,
      "isDataSetNotification": 1,
      "isLayoutNotification": 1,
      "isLibraryNotification": 1,
      "isReportNotification": 1,
      "isScheduleNotification": 1,
      "isCustomNotification": 1,
      "isShownForAddUser": 1,
      "defaultHomepageId": "text",
      "features": [
        "text"
      ]
    }
  ],
  "displayGroups": [
    {
      "displayGroupId": 1,
      "displayGroup": "text",
      "description": "text",
      "isDisplaySpecific": 1,
      "isDynamic": 1,
      "dynamicCriteria": "text",
      "dynamicCriteriaLogicalOperator": "text",
      "dynamicCriteriaTags": "text",
      "dynamicCriteriaExactTags": 1,
      "dynamicCriteriaTagsLogicalOperator": "text",
      "userId": 1,
      "tags": [
        {
          "tag": "text",
          "tagId": 1,
          "value": "text"
        }
      ],
      "bandwidthLimit": 1,
      "groupsWithPermissions": "text",
      "createdDt": "text",
      "modifiedDt": "text",
      "folderId": 1,
      "permissionsFolderId": 1,
      "ref1": "text",
      "ref2": "text",
      "ref3": "text",
      "ref4": "text",
      "ref5": "text"
    }
  ],
  "canEdit": true,
  "canDelete": true
}

Delete Notification

delete

Delete the provided notification

Path parameters
notificationIdintegerRequired

The Notification Id to Delete

Responses
204

successful operation

No content

delete/notification/{notificationId}
DELETE /api/notification/{notificationId} HTTP/1.1
Accept: */*
204

successful operation

No content

Last updated

Was this helpful?